six (1.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Dec 2024 12:23:32 +0000

six (1.16.0-7) unstable; urgency=medium

  * Switch to autopkgtest-pkg-pybuild.
  * Apply X-Style: black.
  * Build-depend on dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Simplify some debhelper overrides slightly.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Jul 2024 11:25:12 +0100

six (1.16.0-6) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * Update watch file format version to 4.
  * Use pybuild-plugin-pyproject.
  * Set Rules-Requires-Root: no.
  * Cherry-pick upstream patch to fix pytest warnings.
  * Cherry-pick upstream patch to fix tests on Python 3.13.
  * Fix deprecation warning from setuptools.
  * Install HTML documentation to /usr/share/doc/python3-six, as recommended
    by policy 12.3.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Mar 2024 10:23:31 +0000

six (1.16.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 10:56:13 +0100

six (1.16.0-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Remove Breaks introduced to smooth upgrades to Debian bullseye, in
    1.16.0-2. No longer needed.

  [ Thomas Goirand ]
  * Team upload.
  * Remove Python 2 and PyPy support (Closes: #938492).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 11:48:20 +0200

six (1.16.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Colin Watson ]
  * Link directly to upstream in Homepage and debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 02:24:26 +0000

six (1.16.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * python-six/python3-six: Copy Breaks: python (<< 2.7.18),
    python-minimal (<< 2.7.18), libpython-stdlib (<< 2.7.18),
    python-iso8601 (<< 0.1.12-2~), python-pbr (<< 5.4.5) from python2.7 to
    ensure removal of the unversioned python packages (and some persisting
    obsolete Python 2 module packages) on upgrades from buster. In some
    upgrade scenarios (mostly involving openstack packages) these Breaks in
    python2.7 were ineffective because the unversioned python packages got
    higher scores than python2.7. python-six/python3-six are usually very
    high scoring Python module packages in these cases, making them ideal
    candidates for such copies of the Breaks.  (Closes: #991433)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 27 Jul 2021 11:44:18 -0400

six (1.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 May 2021 11:40:54 +0100

six (1.15.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Colin Watson ]
  * Remove Barry Warsaw from Uploaders, with thanks for their previous
    contributions (closes: #970181).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Nov 2020 00:16:45 +0000

six (1.15.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 May 2020 10:23:22 +0100

six (1.14.0-3) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 20:16:04 -0400

six (1.14.0-2) unstable; urgency=medium

  * Build-depend on python2 rather than python.

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Jan 2020 09:44:26 +0000

six (1.14.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unnecessary team-upload line in changelog.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jan 2020 21:39:42 +0000

six (1.13.0-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 1.13.0
  * d/control: Bump Standard-Version to 4.4.1
  * d/control: Bump debhelper-compat to 12 (from 9)

  [ Colin Watson ]
  * Replace manually-written basic autopkgtests with "Testsuite:
    autopkgtest-pkg-python".
  * Remove build-dependencies on python-py and python3-py, no longer used
    upstream.
  * Fix HTML paths in doc-base control file.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2019 08:10:54 +0000

six (1.12.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Colin Watson ]
  * Mark autopkgtests as superficial.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2019 15:13:19 +0100

six (1.12.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Dec 2018 10:47:02 +0000

six (1.11.0-2) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Switch Maintainer to the Debian Python Modules Team.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 02:30:00 +0000

six (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend only on python3-sphinx rather than accepting python-sphinx
    as an alternative.
  * Use HTTPS form of copyright-format URL.
  * Support DEB_BUILD_OPTIONS=nodoc.
  * Policy version 4.1.0.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Sep 2017 11:29:33 +0100

six (1.10.0-4) unstable; urgency=medium

  * Build Sphinx documentation in a new python-six-doc binary package
    (closes: #855492).
  * Policy version 3.9.8: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Feb 2017 16:30:19 +0000

six (1.10.0-3) unstable; urgency=medium

  * d/control:
    - Drop the python-six-whl binary package as it's no longer necessary.
      (Closes: #814069)
    - Drop the Build-Depends on python3-wheel.
  * d/rules: Drop override_dh_auto_install since we no longer need to
    build the .whl.
  * d/python-six-whl.install: Removed.
  * d/tests: Add simple import smoke tests.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Feb 2016 09:18:14 -0500

six (1.10.0-2) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Upgrade to debhelper v9.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 13:42:43 +0000

six (1.10.0-1) unstable; urgency=medium

  [ Tristan Seligmann ]
  * d/control: Add pypy-six package.
  * d/rules: Add --with pypy.
  * d/python{,3}-six.pydist: Add pydist files.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Oct 2015 22:50:40 +0100

six (1.9.0-5) unstable; urgency=medium

  * Revert previous change to debian/rules file.  It seems to be
    unnecessary after all.

 -- Barry Warsaw <barry@debian.org>  Wed, 02 Sep 2015 10:22:41 -0400

six (1.9.0-4) unstable; urgency=medium

  * d/rules: Add PYBUILD_TEST_ARGS enabling --assert=plain to avoid ast
    rewriting bug in pytest with Python 3.5.

 -- Barry Warsaw <barry@debian.org>  Tue, 01 Sep 2015 18:36:35 -0400

six (1.9.0-3) unstable; urgency=medium

  * d/control: Restore X-Python*-Version headers to more modern values.
  * d/watch: Update to use pypi.debian.net mirror.

 -- Barry Warsaw <barry@debian.org>  Mon, 27 Apr 2015 09:52:45 -0400

six (1.9.0-2) unstable; urgency=medium

  * Team upload.
  * Ran wrap-and-sort.
  * Uploading to unstable.
  * Dropped X-Python fields which are referencing ancient versions of
    Python.
  * Standards-Version: 3.9.6 (no changes).

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 08:05:43 +0000

six (1.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Jan 2015 17:30:53 +0000

six (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Sep 2014 11:02:06 +0100

six (1.7.3-2) unstable; urgency=medium

  * Mark all binary packages Multi-Arch: foreign.
  * Tell pybuild to copy tests into build directory for the duration of the
    test phase, so that pytest can run them (closes: #759490).
  * Build-depend on python-py and python3-py for the test suite; this is
    currently redundant since python-pytest and python3-pytest depend on
    these, but it's a good idea for future-proofing.

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Aug 2014 16:01:37 +0100

six (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jun 2014 02:45:16 +0100

six (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Adjust python-six-whl's short description to say "wheel", not "wheels"
    (thanks, Scott Kitterman).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Jun 2014 19:58:27 +0100

six (1.6.1-2) unstable; urgency=medium

  [ Colin Watson ]
  * Move git repository to collab-maint.

  [ Barry Warsaw ]
  * d/control:
    - Added python-setuptools, python3-setuptools, python3-wheel, and
      dh-python to Build-Depends.
    - Added python-six-whl binary package.
    - Added myself to Uploaders with maintainer's permission.
  * d/rules:
    - Use --buildsystem=pybuild and simplify.
    - Build the universal wheel.
  * d/python-six-whl.install: Added.
  * d/python{,3}-six.install: Unnecessary for pybuild; removed.

 -- Barry Warsaw <barry@debian.org>  Fri, 23 May 2014 10:46:07 -0400

six (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Mar 2014 16:22:09 +0000

six (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch to git; adjust Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jan 2014 01:00:45 +0000

six (1.4.1-1) unstable; urgency=low

  * New upstream release (closes: #721765).

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Sep 2013 06:44:27 +0100

six (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Apr 2013 12:31:44 +0100

six (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add a watch file.
  * Policy version 3.9.4: no changes required.
  * Run the upstream test suite.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Sep 2012 22:53:29 +0100

six (1.1.0-2) unstable; urgency=low

  * Convert to source format 3.0 (quilt).
  * Remove the build directory on clean.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Jan 2012 22:40:53 +0000

six (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #656234).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Jan 2012 17:23:12 +0000
